Bug 1956580

Summary: Review Request: alchemyquest - Reflection game
Product: [Fedora] Fedora Reporter: Dennis Payne <dulsi>
Component: Package ReviewAssignee: Xavier Bachelot <xavier>
Status: ASSIGNED --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review, xavier
Target Milestone: ---Flags: ppisar: fedora-review?
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Dennis Payne 2021-05-04 01:20:51 UTC
Spec URL: http://identicalsoftware.com/alchemyquest/alchemyquest.spec
SRPM URL: http://identicalsoftware.com/alchemyquest/alchemyquest-0.5.1-1.fc33.src.rpm
Description:
Alchemy Quest is a new reflection game which looks like classic falling block
games but where you can take your time. Be a crazy alchemist and try to make
new objects from those you get from the sky.

Fedora Account System Username: dulsi

Comment 1 Dennis Payne 2021-05-04 01:24:51 UTC
I'm planning on making a new release of Alchemy Quest before the game is added to Fedora. It needs icons for Alchemy Quest and a desktop file. I'll move the appdata.xml files into the project as well. Just looking for some additional packaging feedback before this is done.

Comment 2 Xavier Bachelot 2021-05-04 09:03:48 UTC
Hi Dennis,

Quick review, based in part on what I've seen when trying to adapt the openalchemist spec, like you did.
Excuse the rough list below, rather short on time to make it into a nicer shape now.

Issues:
- File conflicts with openalchemist, it would be cleaner to use %{datadir}/alchemyquest rather than %{datadir/openalchemist}, which needs to be changed upstream.
- A lot of s/openalchemist/alchemyquest/ needs to be done in the spec.
- I think providing 2 .desktop files, icons, etc.., one for alchemyquest and one for openalchemist, would help transitioning from openalchemist to alchemyquest.
- If you add the /usr/bin/openalchemist symlink, missing Obsoletes/Provides for openalchemist.

Minor nits:
- Indent on the BR: make (which comes from the openalchemist spec, I know ;-))
- Spurious wildcard in %files for appdata and desktop file (from openalchemist too)
- Sort BR:

Regards,
Xavier

Comment 3 Dennis Payne 2021-05-13 21:04:32 UTC
Minor question: Can you have two appdata files in a single rpm? Would it should the both in Gnome Software? If you installed one, it would install both?

Comment 4 Xavier Bachelot 2021-05-17 10:18:13 UTC
I'm not very familiar with appdata, but I think it should work with either one file for alchemyquest and another for openlchemist or only one for alchemyquest. In the later case, it might be possible to have a subsection for openalchemist.
The upstream doc for appdata is here, shall you want to dig deeper: https://www.freedesktop.org/software/appstream/docs/